export default {
  name: 'ColumnRender',
  functional: true,
  props: {
    scope: Object,
    render: Function,
  },
  render: (h, ctx) => {
    const { scope, render } = ctx.props
    const { column, row, $index } = scope

    return render ? render(h, row[column.property], row, $index) : ''
  },
}
